<?
//ini_set('include_path', '../../../');
//include("v_user.php");
include("../conexion/class-sb-conexion.php");
//include("funciones.php");

/* variables fijas  por empresa*/
		$db = new sb_mysql();
		$db->proceso($empresa_global);
		
		$sql_empresa="select * from empresa
					   Where id='".$empresa_global."' ";
    	$consulta_free = $db->consulta_free($sql_empresa);
		$empresa = $db->sb_array($consulta_free);
		   
		$wsql = "select 
   		Codigo_Empresa_Datos,
  		Proceso_Datos,
  		Tope_Gratificacion_Datos,
		Tope_Imponible_Ips_Datos,
		Tope_Imponible_Salud_Datos,
		Tramo1_Asig_Datos,
  		Tramo2_Asig_Datos,
  		Tramo3_Asig_Datos,
  		Tramo4_Asig_Datos,
  		Tope_Imponible_Datos,
  		Tope_Imponible_Cesantia_Datos,
  		Factor_Horas_Extras_Datos,
  		Caja_Comp_Datos,
  		Por_Caja_Comp_Datos,
  		Mutual_Datos,
  		Por_Mutual_Datos,
		Uf_Datos,
		Utm_Datos,
		Por_Gratificacion_Datos,
		Sis_datos
		from sb_datos_empresa_proceso 
		Where Codigo_Empresa_Datos='".$empresa_global."'  and  Proceso_Datos='".$db->id_proceso."'  ";
    	$consulta_free = $db->consulta_free($wsql);
		$fijos = $db->sb_array($consulta_free);   
        
		$uf=$db->uf;
		$utm=$db->utm;
		
		//echo "|".$uf."|".$utm."|"; 			

	$sql="select 
	  		Rut_Func,
			Cargas_Norm_Func,
			Cargas_Mate_Func,
			Cargas_Inva_Func,
			Codigo_Afp_Func,
			Codigo_Isapre_Func,
			Tipo_Pactado_Func,
			Valor_Pactado_Func,
			Sueldo_Base_Func,
			Tramo_Asig_Func,
			Codigo_Func_Cont,
			Codigo_Cont,
			Codigo_Cont_Liq,
			Codigo_Liq,
			Cesantia_Cont,
			Tipo_Cont,
			Ahorro_Afp_Func,
			Ahorro_Apv_Func,
			Cotizacion_Voluntaria_Func,
			Movilizacion_Func,
			Viatico_Func,
			Colacion_Func,
			Seguro_Vida_Func,
			Bienestar_Func,
			Sindicato_Func,
			Codigo_Isapre_Liq,
			Codigo_Afp_Liq,
			Porc_Afp_Liq,
			Afecto_Zona_Func
	  	FROM sb_contratos_lista
	  	INNER JOIN  sb_funcionarios_lista 
		  		on sb_contratos_lista.Codigo_Func_cont 
				= sb_funcionarios_lista.Codigo_Func
		INNER JOIN  sb_datos_liquidacion 
		  		on sb_contratos_lista.Codigo_Cont 
				= sb_datos_liquidacion.Codigo_Cont_Liq		
	   where sb_contratos_lista.Codigo_Sucu_Cont='".$sucursal_global."' and
	   		 sb_datos_liquidacion.Codigo_Proceso='".$db->id_proceso."' and
			 sb_contratos_lista.Codigo_Empresa_Cont='".$empresa_global."' ";
		
	  if($rut!=''){
	  $sql=$sql."  and  sb_funcionarios_lista.Rut_Func='".$rut."' ";
	  }	 	
	  $sql=$sql." order  by Apellido_Paterno_Func,Apellido_Materno_Func,Nombre_Func desc
		  	 ";   
	//echo $sql;		 
			 
	if(($db->automatico_proceso==0)||($rut!='')){		 
	?>
	  <br />
    <br />
    <br />
    <br />	
    <br />
    <br />
    
    <table align="center">
    <caption class="caption" >
    Procesando..........
    </caption>
    <tr><td><?		 
	// lista De funcionario de una sucursal de una empresa
	$consulta = $db->consulta_free($sql);
	$num_reg=mysqli_num_rows($consulta);
	 
	echo "<div align='center' style='float:left;margin:5px 0px 0px 2px;width:2px;height:12px;color:blue;'>";
	for($i=1;$i<$num_reg;$i++){
	echo ".";
	}
	echo "</div><div></div>";
	    
	$registros=1;
	while($Reg = $db->sb_array($consulta)){   
	$registros++;
	//echo "<br>°°".$registros."<br>";
		sleep(1);
    	echo "<div style='float:left;margin:5px 0px 0px px;width:2px;height:12px;background:blue;color:blue;'></div> ";
    	flush();
    	ob_flush();
    if(($db->automatico_proceso==0)){
	//Carga de valores del funcionario
	//Ahorro AFP
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Ahorro_Afp_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=27";
	$consulta_free = $db->consulta_free($sql);
	
	//Ahorro Apv
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Ahorro_Apv_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=34";
	$consulta_free = $db->consulta_free($sql);
	
	//Cotizacion Voluntaria
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Cotizacion_Voluntaria_Func']."'
	where                    
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=28";
	$consulta_free = $db->consulta_free($sql);
	
	//echo $sql;
	//movilizacion
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Movilizacion_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=10";
	$consulta_free = $db->consulta_free($sql);
	
	//colacion
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Colacion_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=11";
	$consulta_free = $db->consulta_free($sql);
	
	//viatico
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Viatico_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=12";
	$consulta_free = $db->consulta_free($sql);
	
	//Seguro_Vida
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Seguro_Vida_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=22";
	$consulta_free = $db->consulta_free($sql);
	
	//Bienestar
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Bienestar_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=25";
	$consulta_free = $db->consulta_free($sql);
	
	//Sindicato
	$sql="update 
	sb_plantilla_haberes_descuentos set  
	Valor_Plantilla='".$Reg['Sindicato_Func']."'
	where 
	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
	='".$Reg['Codigo_Func_Cont']."' and
	sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	='".$Reg['Codigo_Liq']."' and	
	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=23";
	$consulta_free = $db->consulta_free($sql);
	
	
	
	}		 
	
	
	// Dias Trabajados
	$sql="select * 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=1";
	$consulta_dias = $db->consulta_free($sql);
	
//echo $sql;
	
	$reg_free = $db->sb_array($consulta_dias);   
	$dias=$reg_free['Valor_Plantilla'];
	
	//echo "Dias".$dias."<br>";
	// calculo sueldo mes
	$sueldo_base=round($Reg['Sueldo_Base_Func']);
	$sueldo_mes=round($Reg['Sueldo_Base_Func']*($dias/30));	
	//echo "Sueldo ".$sueldo_mes."<br>";
	// sueldo de Mes
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$sueldo_mes."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=2";
	$consulta_free = $db->consulta_free($sql);
	
	// cantidad de horas extras
	$sql="select 
			* 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=4";
	$consulta_dias = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_dias);   
	$cant_horas=$reg_free['Valor_Plantilla'];
	
	$valor_hrs_extra=round($fijos["Factor_Horas_Extras_Datos"]*$cant_horas*$sueldo_base);
	//echo  "valor_hrs_extra:".$valor_hrs_extra."<br>";			
	
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$valor_hrs_extra."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=5";
	//echo $sql;		    
	$consulta_dias = $db->consulta_free($sql);
	
	// Total Imponible
	$sql="select 
			sum(Valor_Plantilla) as total 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
		  INNER JOIN sb_haberes_descuentos_lista
		  	on 	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla 
			=sb_haberes_descuentos_lista.Codigo_HabDes
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_haberes_descuentos_lista.Gratificacion_HabDes=1";
	//echo $sql;
			    
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free);
	$total_imponible_gratificacion=$reg_free['total'];
			
	$gratificacion=round($total_imponible_gratificacion*$fijos['Por_Gratificacion_Datos']);
	$tope_gra=$fijos["Tope_Gratificacion_Datos"];
	if($gratificacion>($tope_gra)){
		$gratificacion=round($tope_gra);
	}
	
	if($empresa['Gratificacion_Empresa']==0){
		$gratificacion=0;
	}
	
	
	//echo "gratificacion:".$gratificacion."<br>";
	
	// Actualizacion Gratificacion
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$gratificacion."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=3";
	$consulta_free = $db->consulta_free($sql);
	
	
	// Calculo de cargas familiares segun el tramo
	$familiar1=$fijos["Tramo1_Asig_Datos"];
	$familiar2=$fijos["Tramo2_Asig_Datos"];
	$familiar3=$fijos["Tramo3_Asig_Datos"];
	
	
	
	// numero de cargas
	
	$num_cargas=$Reg["Cargas_Norm_Func"]+($Reg["Cargas_Inva_Func"]*2)+$Reg["Cargas_Mate_Func"];
	
	$sql="update sb_plantilla_haberes_descuentos set
			Valor_Plantilla='".$num_cargas."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=8";
	$consulta_free = $db->consulta_free($sql);
	//$reg_free = $db->sb_array($consulta_free);   
	
	
	echo "xxxxxxxxxxxxxxxxxxxx";
	echo "num_cargas".$num_cargas."<br>";		
	
	$valor_car=0;
	$tramo=$Reg["Tramo_Asig_Func"];
	
	echo "tramo:".$tramo;
	switch($tramo){
		 case '0':
		 	$valor_car = 0;
		 break;
		 case 'A':
		 	$valor_car = $familiar1;
		 break;
		 case 'B':
		 	$valor_car = $familiar2;
		 break;
		 case 'C':
		 	$valor_car = $familiar3;
		 break;
		 case 'B':
		 	$valor_car = 0;
		 break;
		}
	
	echo "valor:".$valor_car." dias:".$dias." num_cargas:".$num_cargas."<br>";
	if($dias >= 25) {
   		$valor_carga=round($valor_car*($num_cargas));
	}else{
   		$valor_carga=round(($valor_car) * ($num_cargas) * ($dias / 30));
	};

	echo "valor cargas:".$valor_carga."<br>";
	
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$valor_carga."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=9";
	$consulta_free = $db->consulta_free($sql);
	
	
	$sql="select 
			sum(Valor_Plantilla) as total 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
		  INNER JOIN sb_haberes_descuentos_lista
		  	on 	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla 
			=sb_haberes_descuentos_lista.Codigo_HabDes
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_haberes_descuentos_lista.Tipo_HabDes=2 and
			sb_haberes_descuentos_lista.Imponible_HabDes=0 and 
			Dato_HabDes=0";
	//echo $sql;		    
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free);
	$total_beneficios=$reg_free['total'];
	
	$sql="select 
			sum(Valor_Plantilla) as total 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
		  INNER JOIN sb_haberes_descuentos_lista
		  	on 	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla 
			=sb_haberes_descuentos_lista.Codigo_HabDes
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_haberes_descuentos_lista.Imponible_HabDes=1 and 
			Dato_HabDes=0";
	//echo $sql;		    
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free);
	$total_imponibles=$reg_free['total'];//+$gratificacion;
	   
	
	//echo "total_beneficios:".$total_beneficios."<br>";
	//echo "total_imponibles:".$total_imponibles."<br>";
	
	$sql="Select * from sb_afp_lista where Codigo_Afp='".$Reg['Codigo_Afp_Func']."'";
	$consulta_afp = $db->consulta_free($sql);
	$reg_afp = $db->sb_array($consulta_afp);
	
	$sql="Select * from sb_isapre_lista where Codigo_Isapre='".$Reg['Codigo_Isapre_Func']."'";
	$consulta_isapre = $db->consulta_free($sql);
	$reg_isapre = $db->sb_array($consulta_isapre);
	
	
	
	// porcentaje de afp
	if($reg_afp['Regimen_Antiguo']==0){
		$tope_imp=$fijos["Tope_Imponible_Datos"];
	}else{
		$tope_imp=$fijos["Tope_Imponible_Ips_Datos"];
	}
	
	if($total_imponibles>($tope_imp*$uf)){
		$tri=round($tope_imp*$uf);
	}else{
		$tri=$total_imponibles;
	}
	
	
	$tope_imp_ces=$fijos["Tope_Imponible_Cesantia_Datos"];
	if($total_imponibles>($tope_imp_ces*$uf)){
		$tru=round($tope_imp_ces*$uf);
	}else{
		$tru=$total_imponibles;
	}
	
	
	
	
	if($fijos["Sis_Datos"]==1)
	{
	  $Sis=$reg_afp["Porc_Sis_Afp"];
	}else{
		$Sis=0;
	     }
	if($db->modificacion==1){
	// calculo desc afp
	$desc_afp=round($tri*((str_replace(",",".",$Reg['Porc_Afp_Liq'])-7)/100));
	$reg_afp['Codigo_Afp']=$Reg['Codigo_Afp_Liq'];
	$reg_afp['Porc_Afp']=$Reg['Porc_Afp_Liq'];
	$reg_isapre['Codigo_Isapre']=$Reg['Codigo_Isapre_Liq'];
	// calculo desc salud
	$desc_isapre=round($tri*0.07);
	echo "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx".$reg_afp['Porc_Afp_Liq'];
	}else{
	// calculo desc afp
	$desc_afp=round($tri*((str_replace(",",".",$reg_afp["Porc_Afp"])-7)/100));    // aqui estaba el $Sis
	// calculo desc salud
	$desc_isapre=round($tri*0.07);
	}
	$desc_sis=round($tri*(1.49/100));
	
	
	$pactado=0;
	//echo "----".$Reg["Tipo_Pactado_Func"]."|".$Reg["Valor_Pactado_Func"];	
		
	if(trim($Reg["Tipo_Pactado_Func"])=="1"){
		   $pactado=$Reg["Tipo_Pactado_Func"];
	}
	if(trim($Reg["Tipo_Pactado_Func"])=="2"){
		$pactado=(str_replace(",",".",$Reg["Valor_Pactado_Func"])*$uf);
	}; 
	//echo "pactado (".$reg_lab["valor_pactado"]." $uf )".$pactado;
	//echo $pactado."<br>";
	
	//echo $pactado."<br>";
		
	if($desc_isapre<$pactado){
		$desc_isapre_adic=round($pactado - $desc_isapre);
		if($dias<30){
			$desc_isapre_adic=round(($desc_isapre_adic/30)*$dias);
		}
	}else{
		$desc_isapre_adic=0;
	}

	
	// Dias licendia
	$sql="select * 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=17";
	$consulta_dias = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_dias);   
	$dias_licencia=$reg_free['Valor_Plantilla'];
	
	/* Calculo seguro cesantia licencia empleador*/
	$sql_licencia="
	SELECT Total_Imponible_Liq,Valor_Plantilla
	From
	sb_contratos_lista
	inner join sb_datos_liquidacion
		on sb_contratos_lista.Codigo_Cont = sb_datos_liquidacion.Codigo_Cont_Liq
	inner join sb_plantilla_haberes_descuentos
		on sb_datos_liquidacion.Codigo_Liq = sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
	where sb_contratos_lista.Codigo_Cont='".$Reg['Codigo_Cont']."' and
		sb_datos_liquidacion.Codigo_Liq<'".$Reg['Codigo_Liq']."' and
		sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=1               
	LIMIT 1
	";
	
	//echo $sql_licencia;
	
	//echo "cccccccccccccccc";
	//$consulta_licencia = mysqli_query($sql_licencia, $enlace);
	//$reg_licencia = mysqli_fetch_assoc($consulta_licencia);
	
	$consulta_licencia = $db->consulta_free($sql_licencia);
	$reg_licencia = $db->sb_array($consulta_licencia);
	
	$numero_filas = mysqli_num_rows($consulta_licencia);
	
	if($numero_filas==1){
		if($reg_licencia['Valor_Plantilla']==30){
			$impo_licencia=$reg_licencia['Total_Imponible_Liq'];
		}else{
			$impo_licencia=($reg_licencia['Total_Imponible_Liq']/$reg_licencia['Valor_Plantilla'])*30;
		}
	   
	}else{
$impo_licencia=0;
$impo_licencia=round($Reg['Sueldo_Base_Func']*$empresa['Gratificacion_Empresa'])+$Reg['Sueldo_Base_Func'];		
	}
	
	//echo "!!!!!!!!!!!!!!!!!!!!!1".$impo_licencia."!!!!!!!!!!!!!!!!!!!!!!!!!111";
	
	if($dias_licencia>0){
		
		$total_imponibles2=$impo_licencia;//$reg_licencia['Total_Imponible_Liq'];
		$tope_imp_ces2=$fijos["Tope_Imponible_Cesantia_Datos"];
		
		if($total_imponibles2>($tope_imp_ces2*$uf)){
			$tru2=round($tope_imp_ces2*$uf);
		}else{
			$tru2=$total_imponibles2;
		}
		
		if($Reg['Cesantia_Cont']==1){
			if($Reg["Tipo_Cont"]==1){ 
				$desc_seguro_cesantia=0;
				$desc_seguro_cesantia_empresa=round($tru2*0.03);
		
			};
			if($Reg["Tipo_Cont"]==2){ 
				//$desc_seguro_cesantia=round($tru*0.006);
				$desc_seguro_cesantia_empresa=round($tru2*0.024);
				//echo "xxxxx:".$desc_seguro_cesantia;
			};
			if($Reg["Tipo_Cont"]!=0){
			 $desc_seguro_cesantia_empresa_licencia=round(($desc_seguro_cesantia_empresa/30)*$dias_licencia);
			}else{
				$desc_seguro_cesantia_empresa_licencia=0;
			}
		}else{
			$desc_seguro_cesantia_empresa_licencia=0;
		}
		
		 			
		
		//cho "!!!".$desc_seguro_cesantia_empresa_licencia."!!!!!!!!";
	}
	/*+++++++++++++++++++++++++++++++++++++++++++*/
	
	
	
	
	
	//afp
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$desc_afp."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=29";
	$consulta_free = $db->consulta_free($sql);
	
	//salud
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$desc_isapre."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
 			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=30";
	$consulta_free = $db->consulta_free($sql);
	
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$desc_isapre_adic."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=31";
	$consulta_free = $db->consulta_free($sql);
	
	
	//echo  "desc_afp:".$desc_afp."<br>";	
	//echo  "desc_isapre:".$desc_isapre."<br>";
	//echo $Reg["Tipo_Cont"]."cesantiaxxxxxxxxxxxxxxx".$Reg['Cesantia_Cont'];
	if($Reg['Cesantia_Cont']==1){
		if($Reg["Tipo_Cont"]==1){ 
		
		$desc_seguro_cesantia=0;
		$desc_seguro_cesantia_empresa=round($tru*0.03);
		
		};
		if($Reg["Tipo_Cont"]==2){ 
		
		$desc_seguro_cesantia=round($tru*0.006);
		$desc_seguro_cesantia_empresa=round($tru*0.024);
		//echo "xxxxx:".$desc_seguro_cesantia;
		
		};
	}else{
		$desc_seguro_cesantia=0;
	}
	//echo "xxxxx:".$desc_seguro_cesantia_empresa;
	//echo "Seguro cesantia:".$Reg["Tipo_Cont"].":".$desc_seguro_cesantia."<br>";
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$desc_seguro_cesantia."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=33";
	//echo $sql;		    
	$consulta_free = $db->consulta_free($sql);



	$sql="select 
			* 
	  	  FROM 
		  	sb_plantilla_haberes_descuentos
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=34";
	//echo cotizacion vluntaria;		    
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free); 
	$apv=$reg_free["Valor_Plantilla"];
	
	$sql="select * 
	  	  FROM sb_plantilla_haberes_descuentos
	  	  where sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
		  ='".$Reg['Codigo_Func_Cont']."' and
	   		 sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			 ='".$Reg['Codigo_Liq']."' and	
	   	     sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=28";
	//echo APV		    
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free); 
	$desc_cot_voluntario=$reg_free["Valor_Plantilla"];


	$total_descuentos_legales=$apv+$desc_afp+$desc_isapre+$desc_cot_voluntario;
	$total_descuentos_legales+=$desc_seguro_cesantia;

	//calculo impuesto unico
	
	$vaf=$total_imponibles-$total_descuentos_legales;
	
	// Afecto_Zona_Func    porcentaje    1,por  /por
    
	$por_zona=$Reg['Afecto_Zona_Func'];
	$Tope_Zona=291708;
	$vaf=$total_imponibles-$total_descuentos_legales;
     if ($por_zona!=0)
	 {
	 if (($vaf*0.56/1.56)>=$Tope_Zona)
	  {$vaf=$vaf-$Tope_Zona;} 
	  else
	  {$vaf=$vaf*(1-(0.56/1.56));}
	 }
	 
	//echo "<br>".$total_imponibles."dddddd".$total_descuentos_legales."dd".$vaf."<br>";
  //echo 	"-----".$por_zona."-----";
	
	$sql = "select sb_impuesto_renta.Tramo_Renta,
			sb_impuesto_renta.Inicio_Renta,
			sb_impuesto_renta.Final_Renta,
			sb_impuesto_renta.Tasa_Renta,
			sb_impuesto_renta.Rebaja_Renta
		from sb_impuesto_renta 
		Where  ".round(($vaf /$utm) * 1000)." > sb_impuesto_renta.Inicio_Renta*1000 
		AND    ".round(($vaf /$utm) * 1000)." <= sb_impuesto_renta.Final_Renta*1000 ";
 echo $sql;
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free); 
	
	$tasa_impuesto_renta = $reg_free['Tasa_Renta']; //4
	$valor_impuesto_renta = round(($vaf * $tasa_impuesto_renta)-($reg_free['Rebaja_Renta'] * $utm)); 
	
	
	if($valor_impuesto_renta<0){
		$valor_impuesto_renta=0;
	}
	//echo "valor_impuesto_renta:".$valor_impuesto_renta."<br>";
	//TASA IMPUESTO RENTA333
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$desc_isapre."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=27";
	//$consulta_free = $db->consulta_free($sql);
	
	
	/// IMPUESTO RENTA
	$sql="update 
			sb_plantilla_haberes_descuentos set  
			Valor_Plantilla='".$valor_impuesto_renta."'
	  	  where 
		  	sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
			='".$Reg['Codigo_Func_Cont']."' and
	   		sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			='".$Reg['Codigo_Liq']."' and	
	   	    sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla=32";
	$consulta_free = $db->consulta_free($sql);



	$sql="select sum(Valor_Plantilla) as total 
	  	  FROM sb_plantilla_haberes_descuentos
		  INNER JOIN sb_haberes_descuentos_lista
		  	on 	sb_plantilla_haberes_descuentos.Codigo_HabDes_Plantilla 
			=sb_haberes_descuentos_lista.Codigo_HabDes
	  	  where sb_plantilla_haberes_descuentos.Codigo_Func_Plantilla
		  ='".$Reg['Codigo_Func_Cont']."' and
	   		 sb_plantilla_haberes_descuentos.Codigo_Liq_Plantilla
			 ='".$Reg['Codigo_Liq']."' and	
	   	     sb_haberes_descuentos_lista.Tipo_HabDes=3 and Dato_HabDes=0";
	//echo $sql;		    
	$consulta_free = $db->consulta_free($sql);
	$reg_free = $db->sb_array($consulta_free);
    $total_descuentos=$reg_free['total'];
				
	//echo  "Total descuentos:".$total_descuentos."<br>";	
    $total_haberes=$total_imponibles+$total_beneficios;
	$total=round($total_haberes-$total_descuentos);
	//$aj=($total/50)-(int)($total/50);
	//$aj=round($aj*(50));
	//if($aj>0){
		//$ajuste=round(50-$aj);
	//}else{
		$ajuste=round(0);	  
	//}
	$total_liquido=$total+$ajuste;

	//echo  "ajuste:".$ajuste."<br>";	
	//echo  "Total liquido:".$total_liquido."<br>";
	
		
	/// 
	
	$sql="update sb_datos_liquidacion set
			Codigo_Afp_Liq='".$reg_afp['Codigo_Afp']."',
			Porc_Afp_Liq='".$reg_afp['Porc_Afp']."',
			Cargas_Norm_Liq='".$Reg['Cargas_Norm_Func']."',
			Cargas_Mate_Liq='".$Reg['Cargas_Mate_Func']."',
			Cargas_Inva_Liq='".$Reg['Cargas_Inva_Func']."',
			seguro_licencia_empleador_Liq='".$desc_seguro_cesantia_empresa_licencia."',
			seguro_empleador_Liq='".$desc_seguro_cesantia_empresa."',
			Sis_Liq='".$desc_sis."',
			Codigo_Isapre_Liq='".$reg_isapre['Codigo_Isapre']."',
			Tipo_Pactado_Liq='".$Reg['Tipo_Pactado_Func']."',
			Valor_Pactado_Liq='".$Reg["Valor_Pactado_Func"]."',
			Tramo_Asig_Liq='".$tramo."',
			Total_Imponible_Liq='".$total_imponibles."',
			Total_Beneficios_Liq='".$total_beneficios."',
			Total_Haberes_Liq='".$total_haberes."',
			Total_Descuentos_Liq='".$total_descuentos."',
			Ajuste_Liq='".$ajuste."',
			Sueldo_Base_Liq='".$Reg['Sueldo_Base_Func']."',
			Total_Liquido_Liq='".$total_liquido."'
		  where sb_datos_liquidacion.Codigo_Liq='".$Reg['Codigo_Liq']."' ";
	//echo $sql;	  
	$consulta_free = $db->consulta_free($sql);
	//echo "xzzzzzzz:".$db->modificacion;
	if($db->modificacion==1){
		$sql="update sb_datos_liquidacion set Modificacion_Liq=1 
		      where sb_datos_liquidacion.Codigo_Liq='".$Reg['Codigo_Liq']."' ";
		$consulta_free = $db->consulta_free($sql);	  
	}

	



	
	}	
	echo "100%"; 
//echo "<div style='float:left;margin:5px 0px 0px px;width:2px;height:12px;color:blue;'>100</div> ";
if($rut!=''){
?>
<script>
parent.document.getElementById('actualizar').onclick();
</script>
<?
}else{

	$sql="UPDATE sb_proceso 
		SET Automatico_Proceso=1 
		where Codigo_Empresa_Proceso='".$empresa_global."' and Actual_Proceso=1";
		  
	$consulta = $db->consulta_free($sql);
	//$num_reg=mysqli_num_rows($consulta);
	
	//$resultado = mysqli_query($this->conexion,$sql);  
	//$reg =mysqli_fetch_assoc($resultado);
	//$this->ano_actual=$reg['Ano_Proceso'];
 	//$this->mes_actual=$reg['Mes_Proceso'];
 	//$this->id_proceso=$reg['Codigo_Proceso'];
}
}else{

require("pro_mov_liquidacion_manual.php");
}
?>
</td></tr></table>		